# TreeModelVis: Enhanced Tree-Based Model Visualization

TreeModelVis is a versatile Python toolkit for visualizing and customizing tree-based models, including decision trees
and ensembles like Random Forests and Gradient Boosting. Engineered for seamless integration with scikit-learn,
TreeModelVis delivers enhanced interpretability and detailed visualization capabilities, making it an indispensable tool
for model analysis and presentation.

## Features

- **Versatile Visualization**: Create detailed, customizable graphics to visualize decision trees and tree ensembles.
  ![Versatile Visualization Example](graphical_output/test_TreeModel_AsthmaDiseasePrediction.png)
- **Out-of-Sample Data Analysis**: Evaluate out-of-sample data and compare its error alignment with the training error,
  offering insights into the model's generalization.
  ![Out-of-Sample Data Analysis](graphical_output/test_TreeModel_diabetes_error_test_set.png)
- **Data Distribution Insights**: Gain an understanding of data distribution and model decision patterns to improve
  interpretability.
  ![Data Distribution Insights](graphical_output/test_TreeModel_diabetes.png)
- **scikit-learn Integration**: Work smoothly with existing scikit-learn workflows for a streamlined experience.
- **User-Friendly**: Accessible to users of all levels, from beginners to experienced practitioners.

## Quickstart

To get started with TreeModelVis, install the package using pip:

```bash
pip install TreeModelVis
```

Or clone the repository and install the requirements:

```
git clone https://github.com/yourusername/TreeModelVis.git
cd TreeModelVis
pip install -r requirements.txt
```



